<?xml version="1.0" encoding="UTF-8"?>
<link:linkbase xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" xmlns:xlink="http://www.w3.org/1999/xlink" xmlns:link="http://www.xbrl.org/2003/linkbase" xmlns:xbrldt="http://xbrl.org/2005/xbrldt" xmlns:xbrli="http://www.xbrl.org/2003/instance" xsi:schemaLocation="http://www.xbrl.org/2003/linkbase http://www.xbrl.org/2003/xbrl-linkbase-2003-12-31.xsd">
  <link:labelLink xlink:type="extended" xlink:role="http://www.xbrl.org/2003/role/link">
    <link:loc xlink:href="https://xbrl.ifrs.org/taxonomy/2022-03-24/full_ifrs/full_ifrs-cor_2022-03-24.xsd#ifrs-full_GainsLossesOnChangeInFairValueOfDerivatives" xlink:label="GainsLossesOnChangeInFairValueOfDerivatives" xlink:type="locator" xlink:title="GainsLossesOnChangeInFairValueOfDerivatives"/>
    <link:loc xlink:href="549300IG13IP3OK19V41-2024-12-31.xsd#smaakraft_UnrealizedValueChangeOnEnergyDerivatives" xlink:label="UnrealizedValueChangeOnEnergyDerivatives" xlink:type="locator" xlink:title="UnrealizedValueChangeOnEnergyDerivatives"/>
    <link:loc xlink:href="549300IG13IP3OK19V41-2024-12-31.xsd#smaakraft_RealizedValueChangeOnEnergyDerivatives" xlink:label="RealizedValueChangeOnEnergyDerivatives" xlink:type="locator" xlink:title="RealizedValueChangeOnEnergyDerivatives"/>
    <link:loc xlink:href="549300IG13IP3OK19V41-2024-12-31.xsd#smaakraft_GainsLossesOnChangeInFairValueOfFinancialDerivatives" xlink:label="GainsLossesOnChangeInFairValueOfFinancialDerivatives" xlink:type="locator" xlink:title="GainsLossesOnChangeInFairValueOfFinancialDerivatives"/>
    <link:loc xlink:href="https://xbrl.ifrs.org/taxonomy/2022-03-24/full_ifrs/full_ifrs-cor_2022-03-24.xsd#ifrs-full_FinanceIncomeCost" xlink:label="FinanceIncomeCost" xlink:type="locator" xlink:title="FinanceIncomeCost"/>
    <link:loc xlink:href="549300IG13IP3OK19V41-2024-12-31.xsd#smaakraft_OtherComprehensiveIncomeNetOfTaxExchangeDifferencesOnTranslationOfForeignOperations" xlink:label="OtherComprehensiveIncomeNetOfTaxExchangeDifferencesOnTranslationOfForeignOperations" xlink:type="locator" xlink:title="OtherComprehensiveIncomeNetOfTaxExchangeDifferencesOnTranslationOfForeignOperations"/>
    <link:loc xlink:href="549300IG13IP3OK19V41-2024-12-31.xsd#smaakraft_SettlementOfDerivativesClassifiedAsOperatingActivities" xlink:label="SettlementOfDerivativesClassifiedAsOperatingActivities" xlink:type="locator" xlink:title="SettlementOfDerivativesClassifiedAsOperatingActivities"/>
    <link:loc xlink:href="https://xbrl.ifrs.org/taxonomy/2022-03-24/full_ifrs/full_ifrs-cor_2022-03-24.xsd#ifrs-full_CashFlowsFromUsedInOperatingActivities" xlink:label="CashFlowsFromUsedInOperatingActivities" xlink:type="locator" xlink:title="CashFlowsFromUsedInOperatingActivities"/>
    <link:loc xlink:href="549300IG13IP3OK19V41-2024-12-31.xsd#smaakraft_PurchaseOfPropertyPlantAndEquipmentAndPurchaseOfIntangibleAssetsClassifiedAsInvestingActivities" xlink:label="PurchaseOfPropertyPlantAndEquipmentAndPurchaseOfIntangibleAssetsClassifiedAsInvestingActivities" xlink:type="locator" xlink:title="PurchaseOfPropertyPlantAndEquipmentAndPurchaseOfIntangibleAssetsClassifiedAsInvestingActivities"/>
    <link:loc xlink:href="549300IG13IP3OK19V41-2024-12-31.xsd#smaakraft_PurchaseOfOtherFinancialAssetsClassifiedAsInvestingActivities" xlink:label="PurchaseOfOtherFinancialAssetsClassifiedAsInvestingActivities" xlink:type="locator" xlink:title="PurchaseOfOtherFinancialAssetsClassifiedAsInvestingActivities"/>
    <link:loc xlink:href="549300IG13IP3OK19V41-2024-12-31.xsd#smaakraft_ProceedsFromSalesOfOtherFinancialAssetsClassifiedAsInvestingActivities" xlink:label="ProceedsFromSalesOfOtherFinancialAssetsClassifiedAsInvestingActivities" xlink:type="locator" xlink:title="ProceedsFromSalesOfOtherFinancialAssetsClassifiedAsInvestingActivities"/>
    <link:loc xlink:href="https://xbrl.ifrs.org/taxonomy/2022-03-24/full_ifrs/full_ifrs-cor_2022-03-24.xsd#ifrs-full_CashFlowsFromUsedInInvestingActivities" xlink:label="CashFlowsFromUsedInInvestingActivities" xlink:type="locator" xlink:title="CashFlowsFromUsedInInvestingActivities"/>
    <link:loc xlink:href="549300IG13IP3OK19V41-2024-12-31.xsd#smaakraft_CashFlowsFromUsedInTransactionsWithNonControllingInterestsClassifiedAsFinancingActivities" xlink:label="CashFlowsFromUsedInTransactionsWithNonControllingInterestsClassifiedAsFinancingActivities" xlink:type="locator" xlink:title="CashFlowsFromUsedInTransactionsWithNonControllingInterestsClassifiedAsFinancingActivities"/>
    <link:loc xlink:href="https://xbrl.ifrs.org/taxonomy/2022-03-24/full_ifrs/full_ifrs-cor_2022-03-24.xsd#ifrs-full_CashFlowsFromUsedInFinancingActivities" xlink:label="CashFlowsFromUsedInFinancingActivities" xlink:type="locator" xlink:title="CashFlowsFromUsedInFinancingActivities"/>
    <link:loc xlink:href="https://xbrl.ifrs.org/taxonomy/2022-03-24/full_ifrs/full_ifrs-cor_2022-03-24.xsd#ifrs-full_IncreaseDecreaseInCashAndCashEquivalents" xlink:label="IncreaseDecreaseInCashAndCashEquivalents" xlink:type="locator" xlink:title="IncreaseDecreaseInCashAndCashEquivalents"/>
    <link:loc xlink:href="549300IG13IP3OK19V41-2024-12-31.xsd#smaakraft_IssueOfEquityRelatingToCurrentPeriod" xlink:label="IssueOfEquityRelatingToCurrentPeriod" xlink:type="locator" xlink:title="IssueOfEquityRelatingToCurrentPeriod"/>
    <link:loc xlink:href="549300IG13IP3OK19V41-2024-12-31.xsd#smaakraft_IssueOfEquityRelatingToCurrentPeriodNotRegistered" xlink:label="IssueOfEquityRelatingToCurrentPeriodNotRegistered" xlink:type="locator" xlink:title="IssueOfEquityRelatingToCurrentPeriodNotRegistered"/>
    <link:label xlink:type="resource" xlink:label="totalLabel_GainsLossesOnChangeInFairValueOfDerivatives" xlink:role="http://www.xbrl.org/2003/role/totalLabel" xlink:title="totalLabel_GainsLossesOnChangeInFairValueOfDerivatives" xml:lang="en">Gains (losses) on change in fair value of derivatives</link:label>
    <link:label xlink:type="resource" xlink:label="label_UnrealizedValueChangeOnEnergyDerivatives" xlink:role="http://www.xbrl.org/2003/role/label" xlink:title="label_UnrealizedValueChangeOnEnergyDerivatives" xml:lang="en">Unrealized value change on energy derivatives</link:label>
    <link:label xlink:type="resource" xlink:label="label_RealizedValueChangeOnEnergyDerivatives" xlink:role="http://www.xbrl.org/2003/role/label" xlink:title="label_RealizedValueChangeOnEnergyDerivatives" xml:lang="en">Realized value change on energy derivatives</link:label>
    <link:label xlink:type="resource" xlink:label="label_GainsLossesOnChangeInFairValueOfFinancialDerivatives" xlink:role="http://www.xbrl.org/2003/role/label" xlink:title="label_GainsLossesOnChangeInFairValueOfFinancialDerivatives" xml:lang="en">Gains Losses On Change In Fair Value Of Financial Derivatives</link:label>
    <link:label xlink:type="resource" xlink:label="totalLabel_FinanceIncomeCost" xlink:role="http://www.xbrl.org/2003/role/totalLabel" xlink:title="totalLabel_FinanceIncomeCost" xml:lang="en">Finance income (cost)</link:label>
    <link:label xlink:type="resource" xlink:label="label_OtherComprehensiveIncomeNetOfTaxExchangeDifferencesOnTranslationOfForeignOperations" xlink:role="http://www.xbrl.org/2003/role/label" xlink:title="label_OtherComprehensiveIncomeNetOfTaxExchangeDifferencesOnTranslationOfForeignOperations" xml:lang="en">Other Comprehensive Income Net Of Tax Exchange Differences On Translation Of Foreign Operations</link:label>
    <link:label xlink:type="resource" xlink:label="label_SettlementOfDerivativesClassifiedAsOperatingActivities" xlink:role="http://www.xbrl.org/2003/role/label" xlink:title="label_SettlementOfDerivativesClassifiedAsOperatingActivities" xml:lang="en">Settlement Of Derivatives Classified As Operating Activities</link:label>
    <link:label xlink:type="resource" xlink:label="totalLabel_CashFlowsFromUsedInOperatingActivities" xlink:role="http://www.xbrl.org/2003/role/totalLabel" xlink:title="totalLabel_CashFlowsFromUsedInOperatingActivities" xml:lang="en">Cash flows from (used in) operating activities</link:label>
    <link:label xlink:type="resource" xlink:label="label_PurchaseOfPropertyPlantAndEquipmentAndPurchaseOfIntangibleAssetsClassifiedAsInvestingActivities" xlink:role="http://www.xbrl.org/2003/role/label" xlink:title="label_PurchaseOfPropertyPlantAndEquipmentAndPurchaseOfIntangibleAssetsClassifiedAsInvestingActivities" xml:lang="en">Purchase Of Property Plant And Equipment And Purchase Of Intangible Assets Classified As Investing Activities</link:label>
    <link:label xlink:type="resource" xlink:label="label_PurchaseOfOtherFinancialAssetsClassifiedAsInvestingActivities" xlink:role="http://www.xbrl.org/2003/role/label" xlink:title="label_PurchaseOfOtherFinancialAssetsClassifiedAsInvestingActivities" xml:lang="en">Purchase Of Other Financial Assets Classified As Investing Activities</link:label>
    <link:label xlink:type="resource" xlink:label="label_ProceedsFromSalesOfOtherFinancialAssetsClassifiedAsInvestingActivities" xlink:role="http://www.xbrl.org/2003/role/label" xlink:title="label_ProceedsFromSalesOfOtherFinancialAssetsClassifiedAsInvestingActivities" xml:lang="en">Proceeds From Sales Of Other Financial Assets Classified As Investing Activities</link:label>
    <link:label xlink:type="resource" xlink:label="totalLabel_CashFlowsFromUsedInInvestingActivities" xlink:role="http://www.xbrl.org/2003/role/totalLabel" xlink:title="totalLabel_CashFlowsFromUsedInInvestingActivities" xml:lang="en">Cash flows from (used in) investing activities</link:label>
    <link:label xlink:type="resource" xlink:label="label_CashFlowsFromUsedInTransactionsWithNonControllingInterestsClassifiedAsFinancingActivities" xlink:role="http://www.xbrl.org/2003/role/label" xlink:title="label_CashFlowsFromUsedInTransactionsWithNonControllingInterestsClassifiedAsFinancingActivities" xml:lang="en">Cash Flows From Used In Transactions With Non Controlling Interests Classified As Financing Activities</link:label>
    <link:label xlink:type="resource" xlink:label="totalLabel_CashFlowsFromUsedInFinancingActivities" xlink:role="http://www.xbrl.org/2003/role/totalLabel" xlink:title="totalLabel_CashFlowsFromUsedInFinancingActivities" xml:lang="en">Cash flows from (used in) financing activities</link:label>
    <link:label xlink:type="resource" xlink:label="totalLabel_IncreaseDecreaseInCashAndCashEquivalents" xlink:role="http://www.xbrl.org/2003/role/totalLabel" xlink:title="totalLabel_IncreaseDecreaseInCashAndCashEquivalents" xml:lang="en">Increase (decrease) in cash and cash equivalents after effect of exchange rate changes</link:label>
    <link:label xlink:type="resource" xlink:label="label_IssueOfEquityRelatingToCurrentPeriod" xlink:role="http://www.xbrl.org/2003/role/label" xlink:title="label_IssueOfEquityRelatingToCurrentPeriod" xml:lang="en">Issue Of Equity Relating To Current Period</link:label>
    <link:label xlink:type="resource" xlink:label="label_IssueOfEquityRelatingToCurrentPeriodNotRegistered" xlink:role="http://www.xbrl.org/2003/role/label" xlink:title="label_IssueOfEquityRelatingToCurrentPeriodNotRegistered" xml:lang="en">Issue Of Equity Relating To Current Period Not Registered</link:label>
    <link:labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="GainsLossesOnChangeInFairValueOfDerivatives" xlink:to="totalLabel_GainsLossesOnChangeInFairValueOfDerivatives" xlink:title="Label: GainsLossesOnChangeInFairValueOfDerivatives to totalLabel_GainsLossesOnChangeInFairValueOfDerivatives"/>
    <link:labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="UnrealizedValueChangeOnEnergyDerivatives" xlink:to="label_UnrealizedValueChangeOnEnergyDerivatives" xlink:title="Label: UnrealizedValueChangeOnEnergyDerivatives to label_UnrealizedValueChangeOnEnergyDerivatives"/>
    <link:labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="RealizedValueChangeOnEnergyDerivatives" xlink:to="label_RealizedValueChangeOnEnergyDerivatives" xlink:title="Label: RealizedValueChangeOnEnergyDerivatives to label_RealizedValueChangeOnEnergyDerivatives"/>
    <link:labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="GainsLossesOnChangeInFairValueOfFinancialDerivatives" xlink:to="label_GainsLossesOnChangeInFairValueOfFinancialDerivatives" xlink:title="Label: GainsLossesOnChangeInFairValueOfFinancialDerivatives to label_GainsLossesOnChangeInFairValueOfFinancialDerivatives"/>
    <link:labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="FinanceIncomeCost" xlink:to="totalLabel_FinanceIncomeCost" xlink:title="Label: FinanceIncomeCost to totalLabel_FinanceIncomeCost"/>
    <link:labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="OtherComprehensiveIncomeNetOfTaxExchangeDifferencesOnTranslationOfForeignOperations" xlink:to="label_OtherComprehensiveIncomeNetOfTaxExchangeDifferencesOnTranslationOfForeignOperations" xlink:title="Label: OtherComprehensiveIncomeNetOfTaxExchangeDifferencesOnTranslationOfForeignOperations to label_OtherComprehensiveIncomeNetOfTaxExchangeDifferencesOnTranslationOfForeignOperations"/>
    <link:labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="SettlementOfDerivativesClassifiedAsOperatingActivities" xlink:to="label_SettlementOfDerivativesClassifiedAsOperatingActivities" xlink:title="Label: SettlementOfDerivativesClassifiedAsOperatingActivities to label_SettlementOfDerivativesClassifiedAsOperatingActivities"/>
    <link:labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="CashFlowsFromUsedInOperatingActivities" xlink:to="totalLabel_CashFlowsFromUsedInOperatingActivities" xlink:title="Label: CashFlowsFromUsedInOperatingActivities to totalLabel_CashFlowsFromUsedInOperatingActivities"/>
    <link:labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="PurchaseOfPropertyPlantAndEquipmentAndPurchaseOfIntangibleAssetsClassifiedAsInvestingActivities" xlink:to="label_PurchaseOfPropertyPlantAndEquipmentAndPurchaseOfIntangibleAssetsClassifiedAsInvestingActivities" xlink:title="Label: PurchaseOfPropertyPlantAndEquipmentAndPurchaseOfIntangibleAssetsClassifiedAsInvestingActivities to label_PurchaseOfPropertyPlantAndEquipmentAndPurchaseOfIntangibleAssetsClassifiedAsInvestingActivities"/>
    <link:labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="PurchaseOfOtherFinancialAssetsClassifiedAsInvestingActivities" xlink:to="label_PurchaseOfOtherFinancialAssetsClassifiedAsInvestingActivities" xlink:title="Label: PurchaseOfOtherFinancialAssetsClassifiedAsInvestingActivities to label_PurchaseOfOtherFinancialAssetsClassifiedAsInvestingActivities"/>
    <link:labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="ProceedsFromSalesOfOtherFinancialAssetsClassifiedAsInvestingActivities" xlink:to="label_ProceedsFromSalesOfOtherFinancialAssetsClassifiedAsInvestingActivities" xlink:title="Label: ProceedsFromSalesOfOtherFinancialAssetsClassifiedAsInvestingActivities to label_ProceedsFromSalesOfOtherFinancialAssetsClassifiedAsInvestingActivities"/>
    <link:labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="CashFlowsFromUsedInInvestingActivities" xlink:to="totalLabel_CashFlowsFromUsedInInvestingActivities" xlink:title="Label: CashFlowsFromUsedInInvestingActivities to totalLabel_CashFlowsFromUsedInInvestingActivities"/>
    <link:labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="CashFlowsFromUsedInTransactionsWithNonControllingInterestsClassifiedAsFinancingActivities" xlink:to="label_CashFlowsFromUsedInTransactionsWithNonControllingInterestsClassifiedAsFinancingActivities" xlink:title="Label: CashFlowsFromUsedInTransactionsWithNonControllingInterestsClassifiedAsFinancingActivities to label_CashFlowsFromUsedInTransactionsWithNonControllingInterestsClassifiedAsFinancingActivities"/>
    <link:labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="CashFlowsFromUsedInFinancingActivities" xlink:to="totalLabel_CashFlowsFromUsedInFinancingActivities" xlink:title="Label: CashFlowsFromUsedInFinancingActivities to totalLabel_CashFlowsFromUsedInFinancingActivities"/>
    <link:labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="IncreaseDecreaseInCashAndCashEquivalents" xlink:to="totalLabel_IncreaseDecreaseInCashAndCashEquivalents" xlink:title="Label: IncreaseDecreaseInCashAndCashEquivalents to totalLabel_IncreaseDecreaseInCashAndCashEquivalents"/>
    <link:labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="IssueOfEquityRelatingToCurrentPeriod" xlink:to="label_IssueOfEquityRelatingToCurrentPeriod" xlink:title="Label: IssueOfEquityRelatingToCurrentPeriod to label_IssueOfEquityRelatingToCurrentPeriod"/>
    <link:labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="IssueOfEquityRelatingToCurrentPeriodNotRegistered" xlink:to="label_IssueOfEquityRelatingToCurrentPeriodNotRegistered" xlink:title="Label: IssueOfEquityRelatingToCurrentPeriodNotRegistered to label_IssueOfEquityRelatingToCurrentPeriodNotRegistered"/>
  </link:labelLink>
</link:linkbase>